Bug 23749 - hostname is /etc/sysconfig/network not set
hostname is /etc/sysconfig/network not set
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-10 17:34 EST by Joseph Kotran
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-16 09:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Kotran 2001-01-10 17:34:26 EST

	Please note that the hostname variable in /etc/sysconfig/network was not
set after a clean install of beta 2 on a DHCP configured client.


HOSTNAME=localhost.localdomain		<- Anaconda/Pump did this

HOSTNAME=kismet.domain.com		<- I expected this

				Best regards,

Joseph Kotran                           Lead Systems Administrator
Lockheed Martin                         E-mail: jkotran@atl.lmco.com
Advanced Technology Laboratories        Phone:  856.338.4327
1 Federal St A&E 312                    Fax:    856.338.4121
Camden NJ USA 08102                     Web:    http://www.atl.lmco.com
Comment 1 Pekka Savola 2001-02-22 17:47:16 EST
I wonder if the IP address you got from DHCP was resolvable, and the other way around.
Comment 2 Elliot Lee 2001-08-08 00:25:51 EDT
/etc/sysconfig/network is a static configuration file. DHCP sets the hostname 
on the machine every time it runs, but /etc/sysconfig/network should not be 

Note You need to log in before you can comment on or make changes to this bug.